/* Synopsis: Lectue température avec LM35DZ 
   Carte   : Arduino Uno
   Capteur : LM35DZ  
              
   https://electroniquepassion.fr/ 
   C.Mercier  62128 Boiry-Becquerelle  
*/

int readLM35DZ = 0;  
float volt = 0; // Variable où on stock la tension
float tempt = 0;

int divisionMoyenne = 10; // Division de la moyenne
float valeurMoyenne = 0;
float totalTempt = 0; 
int comptBoucle = 0; // compteur de boucles
//-----------------------------------------------------
void setup()
{
  Serial.begin(9600);  // init communication  
}
//-----------------------------------------------------
void loop()
{  
  readLM35DZ = analogRead(A0);
  volt = readLM35DZ * (5000.00 / 1023.00);  // En mv     
  tempt = volt /10;  
  Serial.print("temp instantanee = ");
  Serial.print(tempt);
  Serial.print((char)176);
  Serial.println("C");
  
  totalTempt = totalTempt + tempt;
  comptBoucle ++;
  
if (comptBoucle == divisionMoyenne)
  { 
    valeurMoyenne = totalTempt / divisionMoyenne ;
    totalTempt = 0 ;
    comptBoucle = 0;
    Serial.print("\t");// Tabulation
    Serial.print("Valeur Moyenne = ");
    Serial.println(valeurMoyenne);
    Serial.println();  
    delay(1000); 
    }     
}
//-----------------------------------------------------
